%define svnversion 0.4.9.3-20070117

Distribution: 	CCux
Packager: 	Luke <luke@lionbit.com>

Name: 		kbfx
Version: 	0.4.9.3svn
Release: 	1
License: 	GPL
Url:		http://www.kbfx.org/
Group: 		Graphical Desktop/KDE
Source0: 	%{name}-%{svnversion}.tar.bz2
Source1: 	kbfx-ccux-theme.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Summary: 	%{name} is an alternative to the classical K-Menu.
BuildRequires:	cmake
BuildRequires:  kdelibs-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  glibc-devel
BuildRequires:  qt-devel
BuildRequires:  libstdc++-devel

%description
%{name} (now with CCux-Skin) is an alternative to the classical K-Menu button and it's menu. It improves the user experience by enabling the user to set a bigger (and thus more visible) start button and by finally replacing the Win95-like K-Menu. But if you still want the old menu, because you are used to it, it is still available as an option in kbfx. We recommend, however, that you give the Spinx bar a try.
!!!After Install: Run K-Menu/System/KBFX Configurator!!!

%post
echo "kbfx has been installed - please run K-Menu/System/KBFX Configurator"
/sbin/ldconfig 

%postun
/sbin/ldconfig

%prep
%setup -n %{name}-%{svnversion}

%build
rm -Rf build
mkdir build
cd build
cmake  ../ -DCMAKE_INSTALL_PREFIX=${RPM_BUILD_ROOT}%{_kdedir}
make

%install
cd build
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -Rf ${RPM_BUILD_ROOT};
make install
# install CCux theme
cd $RPM_BUILD_ROOT/opt/kde/share/apps/kbfx/skins/
tar -xzf %{SOURCE1}
# strip symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_kdedir/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.9.3svn-1
- refined BuildRequires
- cleaned up spec file, adapted to cmake build process 
- Version update
- snapshot 20070117
* Mon Nov 20 2006 Luke <luke@lionbit.com> 0.4.9.2rc4-1
- Version Update
* Tue Nov 07 2006 Luke <luke@lionbit.com> 0.4.9.2rc3-1
- Version Update
* Fri Nov 03 2006 Luke <luke@lionbit.com> 0.4.9.2rc2-2
- added a CCux-Skin
* Thu Nov 02 2006 Luke <luke@lionbit.com> 0.4.9.2rc2-1
- Initial Release

